Scilab Function
Last update : April 1993

rcond - inverse condition number

### Calling Sequence

  `rcond(X)`

### Parameters

- `X`: real or complex square matrix

### Description

`rcond(X)` is an estimate for the reciprocal of the condition of `X` in the 1-norm.

If `X` is well conditioned, `rcond(X)` is close to 1. If not, `rcond(X)` is close to 0.

`[r,z]=rcond(X)` sets `r` to `rcond(X)` and returns `z` such that `norm(X*z,1) = r*norm(X,1)*norm(z,1)`

Thus, if `rcond` is small `z` is a vector in the kernel.

### Examples

    A=diag([1:10]);
    rcond(A)
    A(1,1)=0.000001;
    rcond(A)

### See Also

`svd`, `cond`, `inv`,